import 'package:json_annotation/json_annotation.dart';

part '../model_map_json/user_app_token_model.g.dart';

@JsonSerializable()
class UserAppToken {
  int id;
  String userId;
  String appId;
  String token;

  UserAppToken({this.id, this.userId, this.appId, this.token});

  factory UserAppToken.fromJson(Map<String, dynamic> json) =>
      _$UserAppTokenFromJson(json);

  Map<String, dynamic> toJson() => _$UserAppTokenToJson(this);
}
